Skip to main content
GET
/
v1
/
checkouts
/
{checkout_code}
Fetch Checkout Configuration
curl --request GET \
  --url https://api.y.uno/v1/checkouts/{checkout_code} \
  --header 'PRIVATE-SECRET-KEY: <api-key>' \
  --header 'PUBLIC-API-KEY: <api-key>' \
  --header 'X-Account-Code: <api-key>'
{
  "account_code": "b91b3970-dbf7-4d6a-b34d-96adbf3a0988",
  "code": "8005ca91-dcfb-4428-b9f6-49c6e3446474",
  "name": "Default Checkout",
  "description": "",
  "is_active": true,
  "is_archive": false,
  "organization_code": "org-uuid",
  "root": true,
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-05-18T13:06:08Z",
  "payment_methods": [
    {
      "is_active": true,
      "payment_method_type": "CARD",
      "order_to_show": 1,
      "type": "PAYMENT_METHOD",
      "active_enrollment_type": "BOTH",
      "conditions_to_override": [],
      "required_fields_to_override": null
    }
  ],
  "general_settings": {
    "country_documents": [
      {
        "country_code": "AR",
        "documents": [
          "DNI",
          "CUIT"
        ]
      }
    ]
  },
  "feature_flags": {
    "custom_required_fields": true,
    "custom_logo_icon": false
  }
}
This API is in Beta. Endpoints and schemas may change without prior notice.

Authorizations

PUBLIC-API-KEY
string
header
required

Merchant public API key. Found in Yuno dashboard → Settings → API Keys.

PRIVATE-SECRET-KEY
string
header
required

Merchant private secret key, paired with the public key. Never embed in client-side code.

X-Account-Code
string
header
required

UUID of the merchant account scope for the request.

Path Parameters

checkout_code
string
required

The unique identifier of the checkout to retrieve (UUID, 36 chars).

Response

200

account_code
string

Account UUID.

Example:

"b91b3970-dbf7-4d6a-b34d-96adbf3a0988"

code
string

Checkout UUID.

Example:

"8005ca91-dcfb-4428-b9f6-49c6e3446474"

name
string

Checkout name.

Example:

"Default Checkout"

description
string

Checkout description.

Example:

""

is_active
boolean

Whether the checkout is active.

Example:

true

is_archive
boolean

Whether the checkout is archived.

Example:

false

organization_code
string

Organization UUID.

Example:

"org-uuid"

root
boolean

Whether this is the root (default) checkout for the account.

Example:

true

created_at
string

Creation timestamp (ISO 8601).

Example:

"2026-01-01T00:00:00Z"

updated_at
string

Last updated timestamp (ISO 8601).

Example:

"2026-05-18T13:06:08Z"

payment_methods
object[]

List of payment methods configured for this checkout.

general_settings
object

General checkout settings.

feature_flags
object

Feature flags enabled for this checkout.